#include "busy_iconplugin.h"

#include "busy_icon.h"

#include <QtCore/QtPlugin>


BusyIconPlugin::BusyIconPlugin(QObject * parent): QObject(parent) {
	m_initialized = false;
}


void BusyIconPlugin::initialize(QDesignerFormEditorInterface * /* core */) {
	if (m_initialized) return;
	m_initialized = true;
}


bool BusyIconPlugin::isInitialized() const {
	return m_initialized;
}


QWidget * BusyIconPlugin::createWidget(QWidget * parent) {
	return new BusyIcon(parent);
}


QString BusyIconPlugin::name() const {
	return QLatin1String("BusyIcon");
}


QString BusyIconPlugin::group() const {
	return QLatin1String("Display Widgets");
}


QIcon BusyIconPlugin::icon() const {
	return QIcon(":/icons/widgets/busy-icon.png");
}


QString BusyIconPlugin::toolTip() const {
	return QLatin1String("Busy indicator");
}


QString BusyIconPlugin::whatsThis() const {
	return QLatin1String("Busy indicator");
}


bool BusyIconPlugin::isContainer() const {
	return false;
}


QString BusyIconPlugin::domXml() const {
	return QLatin1String("<widget class=\"BusyIcon\" name=\"iconBusy\">\n</widget>\n");
}


QString BusyIconPlugin::includeFile() const {
	return QLatin1String("busy_icon.h");
}
